This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 817383 - Does not find correct images
Does not find correct images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 11:06 EDT by Pavel Alexeev
Modified: 2013-07-31 20:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:39:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-29 11:06:17 EDT
Description of problem:
# LANG=C preupgrade-cli -d5 "Fedora 17 (Beefy Miracle)"
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
Not loading "blacklist" plugin, as it is disabled
Not loading "whiteout" plugin, as it is disabled
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Adding en to language list
Config time: 0.013
preupgrade-main (mirrorlist)
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=x86_64
rpmdb time: 0.000
preupgrade (mirrorlist)
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/17/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/17/x86_64/os/
preupgrade-russianfedora-nonfree-rawhide (mirrorlist)
  url: http://mirrors.rfremix.ru/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
  now: http://mirrors.rfremix.ru/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
preupgrade-rpmfusion-free-rawhide (mirrorlist)
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
preupgrade-rpmfusion-nonfree-rawhide (mirrorlist)
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=x86_64
preupgrade-russianfedora-free-rawhide (mirrorlist)
  url: http://mirrors.rfremix.ru/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
  now: http://mirrors.rfremix.ru/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
Fetched treeinfo from http://mirror.yandex.ru/fedora/linux/development/17/x86_64/os//.treeinfo
treeinfo timestamp: Sun Apr 29 15:06:17 2012
MEMORY                                                                                                                                             |  91
vmlinuz                                                                                                                                            | 4.4
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 330, in <module>
    pu.main(release)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 207, in main
    self.retrieve_critical_boot_files()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 568, in retrieve_critical_boot_files
    self._retrieve_file(item)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 489, in _retrieve_file
    raise PUError, _("checksum failure downloading %s") % item_fname
preupgrade.error.PUError: checksum failure downloading vmlinuz

Version-Release number of selected component (if applicable):
$ rpm -q preupgrade
preupgrade-1.1.10-1.fc16.noarch

How reproducible:
Always
Comment 1 RevRagnarok 2012-05-22 05:28:18 EDT
WORKAROUND: I was able to get it to work after having this problem by deleting every line in /var/cache/yum/preupgrade/mirrorlist.txt except the kernel.org one.
Comment 2 Fedora End Of Life 2013-07-03 18:38:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:39:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.